Returns a receipt with time-bound access to the receipt file.
curl --request GET \
--url https://external.pleo.io/v1/accounting-entries/{accountingEntryId}/receipts/{receiptId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.pleo.io/v1/accounting-entries/{accountingEntryId}/receipts/{receiptId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.pleo.io/v1/accounting-entries/{accountingEntryId}/receipts/{receiptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"accountingEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"fileType": "EMBED",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mimeType": "unknown",
"sizeInBytes": 123,
"source": "APP_SHARE",
"url": "<string>",
"ocrDocumentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Accounting Entries API v1
Returns a receipt with time-bound access to the receipt file.
GET
/
v1
/
accounting-entries
/
{accountingEntryId}
/
receipts
/
{receiptId}
Returns a receipt with time-bound access to the receipt file.
Authorizations
bearerAuthbasicAuth
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Path Parameters
The specific accounting entry ID that you are looking for.
The specific receipt ID that you are looking for.
Query Parameters
ORIGINAL: The original file as it was uploaded.
THUMBNAIL: Representation of the original file in a small image.
PREVIEW: Display of the original file in a concise format.
Available options:
EMBED, ORIGINAL, THUMBNAIL, PREVIEW Response
default - application/json;charset=UTF-8
default response
Show child attributes
Show child attributes
Was this page helpful?